package com.bernard.greposimu.source;

public class SourcedBuildingOrder {

	@Override
	public String toString() {
		return "SourcedBuildingOrder [buildingTime=" + buildingTime + ", building=" + building + ", beginTime="
				+ beginTime + ", tearingDown=" + tearingDown + ", endTime=" + endTime + ", refund=" + refund + ", cost="
				+ cost + "]";
	}
	long buildingTime;
	
	// the id of the building being built
	String building;
	
	long beginTime;
	boolean tearingDown;
	long endTime;
	
	SourcedRessources refund;
	SourcedRessources cost;
	
	public long getBuildingTime() {
		return buildingTime;
	}
	public String getBuilding() {
		return building;
	}
	public long getBeginTime() {
		return beginTime;
	}
	public boolean isTearingDown() {
		return tearingDown;
	}
	public long getEndTime() {
		return endTime;
	}
	public SourcedRessources getRefund() {
		return refund;
	}
	public SourcedRessources getCost() {
		return cost;
	}
	
	
}
